FileControllerFileExists Method (Guid, NullableGuid) |
GET /File/Exists/{id}
Determines whether a file with the specified ID exists.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpGetAttribute]
[ActionNameAttribute("Exists")]
public HttpResponseMessage FileExists(
Guid id,
Nullable<Guid> sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("Exists")>
Public Function FileExists (
id As Guid,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpGetAttribute]
[ActionNameAttribute(L"Exists")]
HttpResponseMessage^ FileExists(
Guid id,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("Exists")>]
member FileExists :
id : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The ID of the file to check for existence. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the current session.
Return Value
Type:
HttpResponseMessage
A Boolean value indicating whether a file with the specified ID exists in the specified folder,
or a status code indicating the reason for failure.
See Also